<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('integrations', function (Blueprint $table) {
            $table->boolean('requires_tenant_configuration')->default(true);
        });

        DB::table('integrations')
            ->where('integration_code', 'email')
            ->update(['requires_tenant_configuration' => false]);
    }

    public function down(): void
    {
        Schema::table('integrations', function (Blueprint $table) {
            $table->dropColumn('requires_tenant_configuration');
        });
    }
};
